%global packname  RUnit

Name:             R-%{packname}
Version:          0.4.21
Release:          2%{?dist}
Summary:          R Unit test framework

Group:            Applications/Engineering 
License:          GPLv2 
URL:              http://cran.r-project.org/web/packages/RUnit/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch

Requires:         R >= 2.4.0 R-utils R-methods
Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel tetex-latex R >= 2.4.0 R-utils R-methods

%description
R functions implementing a standard Unit Testing framework, with additional 
code inspection and report generation tools

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}


#noarch
mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)

#noarch
#%dir %{_datadir}/R/library/%{packname}
%{_datadir}/R/library/%{packname}

%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/latex/
%doc %{_datadir}/R/library/%{packname}/man/
%doc %{_datadir}/R/library/%{packname}/COPYING
%doc %{_datadir}/R/library/%{packname}/NEWS

%{_datadir}/R/library/%{packname}/R-ex
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/examples
%{_datadir}/R/library/%{packname}/share
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/CONTENTS

%changelog
* Wed Apr 01 2009 pingou <pingou@pingoured.fr> 0.4.21-2
- Remove CONTENTS INDEX and NAMESPACE from %%doc
- Use the macro in Source0

* Tue Feb 24 2009 pingou <pingou -AT- pingoured.fr> 0.4.21-1
- initial package for Fedora
